Package com.mapd.thrift.server

## Class TDBObject

- java.lang.Object
- - com.mapd.thrift.server.TDBObject

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDBObject>`, `org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>`, `org.apache.thrift.TSerializable`

    public class TDBObject
    extends Object
    implements org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>, Serializable, Cloneable, Comparable<TDBObject>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBObject._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `grantee`
`static Map<TDBObject._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `objectName`
`TDBObjectType` `objectType`
`TDBObjectType` `privilegeObjectType`
`List<Boolean>` `privs`

### Constructor Summary

Constructors
`TDBObject()`
`TDBObject​(TDBObject other)` Performs a deep copy on other.
`TDBObject​(String objectName, TDBObjectType objectType, List<Boolean> privs, String grantee, TDBObjectType privilegeObjectType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToPrivs​(boolean elem)`
`void` `clear()`
`int` `compareTo​(TDBObject other)`
`TDBObject` `deepCopy()`
`boolean` `equals​(TDBObject that)`
`boolean` `equals​(Object that)`
`TDBObject._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TDBObject._Fields field)`
`String` `getGrantee()`
`String` `getObjectName()`
`TDBObjectType` `getObjectType()`
`TDBObjectType` `getPrivilegeObjectType()`
`List<Boolean>` `getPrivs()`
`Iterator<Boolean>` `getPrivsIterator()`
`int` `getPrivsSize()`
`int` `hashCode()`
`boolean` `isSet​(TDBObject._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetGrantee()` Returns true if field grantee is set (has been assigned a value) and false otherwise
`boolean` `isSetObjectName()` Returns true if field objectName is set (has been assigned a value) and false otherwise
`boolean` `isSetObjectType()` Returns true if field objectType is set (has been assigned a value) and false otherwise
`boolean` `isSetPrivilegeObjectType()` Returns true if field privilegeObjectType is set (has been assigned a value) and false otherwise
`boolean` `isSetPrivs()` Returns true if field privs is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TDBObject._Fields field, Object value)`
`TDBObject` `setGrantee​(String grantee)`
`void` `setGranteeIsSet​(boolean value)`
`TDBObject` `setObjectName​(String objectName)`
`void` `setObjectNameIsSet​(boolean value)`
`TDBObject` `setObjectType​(TDBObjectType objectType)`
`void` `setObjectTypeIsSet​(boolean value)`
`TDBObject` `setPrivilegeObjectType​(TDBObjectType privilegeObjectType)`
`void` `setPrivilegeObjectTypeIsSet​(boolean value)`
`TDBObject` `setPrivs​(List<Boolean> privs)`
`void` `setPrivsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetGrantee()`
`void` `unsetObjectName()`
`void` `unsetObjectType()`
`void` `unsetPrivilegeObjectType()`
`void` `unsetPrivs()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### objectName

    public String objectName

#### objectType

    public TDBObjectType objectType

See Also:
  `TDBObjectType`

#### privs

    public List<Boolean> privs

#### grantee

    public String grantee

#### privilegeObjectType

    public TDBObjectType privilegeObjectType

See Also:
  `TDBObjectType`

#### metaDataMap

    public static final Map<TDBObject._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBObject

    public TDBObject()

#### TDBObject

    public TDBObject​(String objectName,
                     TDBObjectType objectType,
                     List<Boolean> privs,
                     String grantee,
                     TDBObjectType privilegeObjectType)

#### TDBObject

    public TDBObject​(TDBObject other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDBObject deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>`

#### getObjectName

    public String getObjectName()

#### setObjectName

    public TDBObject setObjectName​(String objectName)

#### unsetObjectName

    public void unsetObjectName()

#### isSetObjectName

    public boolean isSetObjectName()

Returns true if field objectName is set (has been assigned a value) and false otherwise

#### setObjectNameIsSet

    public void setObjectNameIsSet​(boolean value)

#### getObjectType

    public TDBObjectType getObjectType()

See Also:
  `TDBObjectType`

#### setObjectType

    public TDBObject setObjectType​(TDBObjectType objectType)

See Also:
  `TDBObjectType`

#### unsetObjectType

    public void unsetObjectType()

#### isSetObjectType

    public boolean isSetObjectType()

Returns true if field objectType is set (has been assigned a value) and false otherwise

#### setObjectTypeIsSet

    public void setObjectTypeIsSet​(boolean value)

#### getPrivsSize

    public int getPrivsSize()

#### getPrivsIterator

    public Iterator<Boolean> getPrivsIterator()

#### addToPrivs

    public void addToPrivs​(boolean elem)

#### getPrivs

    public List<Boolean> getPrivs()

#### setPrivs

    public TDBObject setPrivs​(List<Boolean> privs)

#### unsetPrivs

    public void unsetPrivs()

#### isSetPrivs

    public boolean isSetPrivs()

Returns true if field privs is set (has been assigned a value) and false otherwise

#### setPrivsIsSet

    public void setPrivsIsSet​(boolean value)

#### getGrantee

    public String getGrantee()

#### setGrantee

    public TDBObject setGrantee​(String grantee)

#### unsetGrantee

    public void unsetGrantee()

#### isSetGrantee

    public boolean isSetGrantee()

Returns true if field grantee is set (has been assigned a value) and false otherwise

#### setGranteeIsSet

    public void setGranteeIsSet​(boolean value)

#### getPrivilegeObjectType

    public TDBObjectType getPrivilegeObjectType()

See Also:
  `TDBObjectType`

#### setPrivilegeObjectType

    public TDBObject setPrivilegeObjectType​(TDBObjectType privilegeObjectType)

See Also:
  `TDBObjectType`

#### unsetPrivilegeObjectType

    public void unsetPrivilegeObjectType()

#### isSetPrivilegeObjectType

    public boolean isSetPrivilegeObjectType()

Returns true if field privilegeObjectType is set (has been assigned a value) and false otherwise

#### setPrivilegeObjectTypeIsSet

    public void setPrivilegeObjectTypeIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDBObject._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDBObject._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>`

#### isSet

    public boolean isSet​(TDBObject._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBObject that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDBObject other)

Specified by:
  `compareTo` in interface `Comparable<TDBObject>`

#### fieldForId

    public TDBObject._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDBObject,​TDBObject._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`